import logging

import discord

from . import post, verein

_logger = logging.getLogger(__name__)


class LenaverseBot(discord.Client):
    def __init__(self) -> None:
        super().__init__(intents=discord.Intents.default())

        self.tree = discord.app_commands.CommandTree(self)
        commands = post.COMMANDS + verein.COMMANDS
        for command in commands:
            self.tree.add_command(command)

    async def setup_hook(self):
        await self.tree.sync()
        _logger.info("Commands synced")

    async def on_ready(self) -> None:
        assert self.user is not None
        _logger.info(f"{self.user.name} has connected to Discord!")
